## libkok 4.3.2-2

=== debian/changelog ===
libkok (4:4.3.2-2) unstable; urgency=low

  * Added missing kselector.h

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 12 Nov 2009 11:43:00 +0300

libkok (4:4.3.2-1) unstable; urgency=low

  * Initial version

 -- Jos van den Oever <jos.van.den.oever@kogmbh.com>  Thu, 12 Nov 2009 11:43:00 +0300

## libkok 4.3.2-25%2b0m6

=== libkoktests/CMakeLists.txt ===

install(
    FILES 
    tests.xml
    DESTINATION
    /usr/share/libkok-tests/
)
install(
    FILES 
    ./tests/cplusplustest
#wk18    ./tests/kconfigafterkglobaltest2
    ./tests/kglobalstatictest
    ./tests/kmacroexpandertest   
    ./tests/ksortablelisttest
    ./tests/kurlmimetest
    ./tests/globalcleanuptest 
#wk14    ./tests/kjobtest  
    ./tests/kprocesstest 
    ./tests/kaboutdatatest
    ./tests/ksavefiletest   
    ./tests/kstringhandlertest
#    ./tests/kcalendartest  
    ./tests/klocaletest 
    ./tests/ksycocadicttest
    ./tests/kcharsetstest  
    ./tests/kentrymaptest 
    ./tests/klocalizedstringtest
    ./tests/ksharedptrtest  
    ./tests/ktemporaryfiletest
#wk18    ./tests/kconfigafterkglobaltest1 
    ./tests/kfiltertest 
    ./tests/kshelltest  
    DESTINATION 
    /usr/lib/libkok-tests/bin/
    PERMISSIONS
    GROUP_EXECUTE GROUP_EXECUTE WORLD_EXECUTE
)

## libkok 4.3.2-3

=== debian/changelog ===
libkok (4:4.3.2-3) unstable; urgency=low

  * Added few other missing headers.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 12 Nov 2009 11:43:00 +0300

=== debian/control ===
Source: libkok
Section: libs
Priority: optional
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev|libqt4-maemo5-dev, automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev, libqt4-qt3support
Standards-Version: 3.8.0
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdelibs
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdelibs

Package: libkok
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries and data derived from KDE for running freoffice

Package: libkok-dev
Architecture: any
Depends: ${shlibs:Depends}, libkok (= ${binary:Version})
Description: Headers needed for compiling freoffice

## libkok 4.3.2-4

=== debian/changelog ===
libkok (4:4.3.2-4) unstable; urgency=low

  * Added extra stub to kfilewidget

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 20 Jan 2010 11:43:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
-Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev|libqt4-maemo5-dev, automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev, libqt4-qt3support
+Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2-3), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev, automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev
 Standards-Version: 3.8.0
 Homepage: http://www.kde.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdelibs

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAMVERSION ?= $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(.*\)-.*/\1/')
#UPSTREAMVERSION ?= 4:4.3.3
#RUNTIME_DEPS := kdebase-runtime (>= 4:4.3.3)

#DEB_DBG_PACKAGE_kdelibs5 := kdelibs5-dbg
#DEB_DBG_PACKAGE_kdelibs-bin := kdelibs5-dbg
#DEB_DBG_PACKAGE_libplasma3 := kdelibs5-dbg

#bump version for every new upstream version!
DEB_DH_MAKESHLIBS_ARGS_kdelibs5 := -V'kdelibs5 (>= $(UPSTREAMVERSION)), $(RUNTIME_DEPS)'
#DEB_DH_MAKESHLIBS_ARGS_libplasma3 := -V'libplasma3 (>= $(UPSTREAMVERSION)), $(PLASMA_ABI)'

# remove dependencies on kdebase-runtime and phonon (the metapackage)
#DEB_DH_SHLIBDEPS_ARGS_ALL := -- -xkdebase-runtime -xphonon
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF -DBUILD_doc=OFF -DBUILD_experimental=OFF -DWITH_ACL=OFF -DWITH_ASPELL=OFF -DWITH_Avahi=OFF -DWITH_BZip2=OFF -DWITH_ENCHANT=OFF -DWITH_FAM=OFF -DWITH_GSSAPI=OFF -DWITH_HSPELL=OFF -DWITH_Jasper=OFF -DWITH_LibLZMA=OFF -DWITH_Libintl=OFF -DWITH_OpenEXR=OFF -DWITH_OpenGL=OFF -DWITH_OpenSSL=OFF -DWITH_Soprano=OFF -DKJS_FORCE_DISABLE_PCRE=true -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/lib" -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT"
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#binary-predeb/libplasma3::
#	echo plasma:abi-provides=$(PLASMA_ABI) >> debian/libplasma3.substvars

## libkok 4.3.2-8

=== debian/changelog ===
libkok (4:4.3.2-8) unstable; urgency=low

  * Added extra stub to kfiledialog.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 11:43:00 +0300

libkok (4:4.3.2-7) unstable; urgency=low

  * Made a platform specific krun implementation

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 11:43:00 +0300

libkok (4:4.3.2-6) unstable; urgency=low

  * Removed need for qt3support

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Fri, 29 Jan 2010 11:43:00 +0300

libkok (4:4.3.2-5) unstable; urgency=low

  * Added KUndoStack to dev

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Fri, 29 Jan 2010 11:43:00 +0300

## libkok 4.3.2-9

=== debian/changelog ===
libkok (4:4.3.2-9) unstable; urgency=low

  * Added extra stub to kfiledialog.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 11:43:00 +0300

## libkok 4.3.2-10

=== debian/changelog ===
libkok (4:4.3.2-10) unstable; urgency=low

  * Added extra stub to kfiledialog.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 11:43:00 +0300

## libkok 4.3.2-11

=== debian/changelog ===
libkok (4:4.3.2-11) unstable; urgency=low

  * Added extra stub to kfiledialog.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Feb 2010 11:43:00 +0300

=== debian/control ===
Source: libkok
Section: libs
Priority: optional
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev (>= 4.5.2), automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev, libxfixes-dev
Standards-Version: 3.8.0
Homepage: http://www.kde.org/

Package: libkok
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries and data derived from KDE for running office

Package: libkok-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libkok (= ${binary:Version})
Description: Headers needed for compiling office

Package: libkok-dbg
Priority: extra
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libkok (= ${binary:Version})
Description: Libkok debug package

Package: libkok-doc
Section: doc
Architecture: any
Description: Documentation for libkok

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #DEB_DH_SHLIBDEPS_ARGS_ALL := -- -xkdebase-runtime -xphonon
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
-DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF -DBUILD_doc=OFF -DBUILD_experimental=OFF -DWITH_ACL=OFF -DWITH_ASPELL=OFF -DWITH_Avahi=OFF -DWITH_BZip2=OFF -DWITH_ENCHANT=OFF -DWITH_FAM=OFF -DWITH_GSSAPI=OFF -DWITH_HSPELL=OFF -DWITH_Jasper=OFF -DWITH_LibLZMA=OFF -DWITH_Libintl=OFF -DWITH_OpenEXR=OFF -DWITH_OpenGL=OFF -DWITH_OpenSSL=OFF -DWITH_Soprano=OFF -DKJS_FORCE_DISABLE_PCRE=true -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/lib" -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT"
+DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON -DBUILD_doc=OFF -DBUILD_experimental=OFF -DWITH_ACL=OFF -DWITH_ASPELL=OFF -DWITH_Avahi=OFF -DWITH_BZip2=OFF -DWITH_ENCHANT=OFF -DWITH_FAM=OFF -DWITH_GSSAPI=OFF -DWITH_HSPELL=OFF -DWITH_Jasper=OFF -DWITH_LibLZMA=OFF -DWITH_Libintl=OFF -DWITH_OpenEXR=OFF -DWITH_OpenGL=OFF -DWITH_OpenSSL=OFF -DWITH_Soprano=OFF -DKJS_FORCE_DISABLE_PCRE=true -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/lib" -DCMAKE_BUILD_TYPE=release -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT"
 include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
 
 #binary-predeb/libplasma3::

## libkok 4.3.2-13

=== debian/changelog ===
libkok (4:4.3.2-13) unstable; urgency=low

  * Removed .desktop files from package installation (moved to dev)

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 11 Jun 2010 11:43:00 +0300

## libkok 4.3.2-14

=== debian/changelog ===
libkok (4:4.3.2-14) unstable; urgency=low

  * Added more stubs to enable latest koffice compilation.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 18 Jun 2010 11:43:00 +0300

## libkok 4.3.2-15

=== debian/changelog ===
libkok (4:4.3.2-15) unstable; urgency=low

  * Added one more .desktop to -dev file.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 29 Jul 2010 11:43:00 +0300

## libkok 4.3.2-16

=== debian/changelog ===
libkok (4:4.3.2-16) unstable; urgency=low

  * Added more stubs.
  * Added one more .desktop to -dev file.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 29 Jul 2010 11:43:00 +0300

## libkok 4.3.2-17

=== debian/changelog ===
libkok (4:4.3.2-17) unstable; urgency=low

  * Added more stubs.
  * Added one more .desktop to -dev file.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 29 Jul 2010 11:43:00 +0300

## libkok 4.3.2-25%2b0m6

=== debian/changelog ===
libkok (4:4.3.2-25+0m6) maverick; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4:4.3.2-25+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Fri, 13 May 2011 06:30:35 +0300

libkok (4:4.3.2-25) maverick; urgency=low

  * use dir_tmp=$XDG_CACHE_HOME/libkok/tmp as tmp dir as /tmp is too small
  * Fixes: NB#249235 - Documents writes its local data to all over the place in $HOME

 -- Thorsten Zachmann <thorsten.zachmann@nokia.com>  Fri, 13 May 2011 05:30:34 +0200

libkok (4:4.3.2-24) unstable; urgency=low

  * Configure directorties used
  * Fixes: NB#249235 - Documents writes its local data to all over the place in $HOME

 -- Thorsten Zachmann <thorsten.zachmann@nokia.com>  Thu, 12 May 2011 08:28:07 +0200

libkok (4:4.3.2-23) unstable; urgency=low

  * Install kencoderprober 
  * Fixes: NB#libkok doesn't "#include <string.h>" as required, fails to build with gcc-4.5 

 -- Thorsten Zachmann <thorsten.zachmann@nokia.com>  Mon, 18 Apr 2011 06:33:39 +0200

libkok (4:4.3.2-22) unstable; urgency=low

  * Fixes: NB#209216 - resource problems discovered in libkok

 -- Thorsten Zachmann <thorsten.zachmann@nokia.com>  Mon, 21 Feb 2011 08:11:44 +0100

libkok (4:4.3.2-21) unstable; urgency=low

  * Fixes: NB#208046 - Legal cleaning

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Thu, 19 Nov 2010 16:53:00 +0200

libkok (4:4.3.2-20+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4:4.3.2-20+0m6

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Mon, 15 Nov 2010 15:37:34 +0200

libkok (4:4.3.2-20) unstable; urgency=low

  * Added one function to KPropertyDialog and Q_OBJECT macro

 -- Mani Chandrasekar <manikandaprasad.chandrasekar@nokia.com>  Thu, 09 Nov 2010 16:53:00 +0530

libkok (4:4.3.2-19) unstable; urgency=low

  * Included a memory alloc check in locale 

 -- Vidhyapria Arunkumar <vidhyapria.arunkumar@nokia.com>  Thu, 04 Nov 2010 16:53:00 +0530

libkok (4:4.3.2-18) unstable; urgency=low

  * Modified QDesktopServices to launch browser 

 -- Vidhyapria Arunkumar <vidhyapria.arunkumar@nokia.com>  Wed, 11 Aug 2010 17:53:00 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
-Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev (>= 4.5.2), automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev, libxfixes-dev
+Build-Depends: cdbs, debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.0), shared-mime-info (>= 0.20), libqt4-dev, automoc (>= 1.0~svn850570), libxi-dev, libsm-dev, libjpeg62-dev, zlib1g-dev, libxfixes-dev
 Standards-Version: 3.8.0
 Homepage: http://www.kde.org/
 
@@ -29,3 +29,4 @@
 Section: doc
 Architecture: any
 Description: Documentation for libkok
+

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #DEB_DH_SHLIBDEPS_ARGS_ALL := -- -xkdebase-runtime -xphonon
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
-DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON -DBUILD_doc=OFF -DBUILD_experimental=OFF -DWITH_ACL=OFF -DWITH_ASPELL=OFF -DWITH_Avahi=OFF -DWITH_BZip2=OFF -DWITH_ENCHANT=OFF -DWITH_FAM=OFF -DWITH_GSSAPI=OFF -DWITH_HSPELL=OFF -DWITH_Jasper=OFF -DWITH_LibLZMA=OFF -DWITH_Libintl=OFF -DWITH_OpenEXR=OFF -DWITH_OpenGL=OFF -DWITH_OpenSSL=OFF -DWITH_Soprano=OFF -DKJS_FORCE_DISABLE_PCRE=true -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/lib" -DCMAKE_BUILD_TYPE=release -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT"
+DEB_CMAKE_EXTRA_FLAGS += -DKDE4_BUILD_TESTS=ON -DBUILD_TESTING=ON -DBUILD_doc=OFF -DBUILD_experimental=OFF -DWITH_ACL=OFF -DWITH_ASPELL=OFF -DWITH_Avahi=OFF -DWITH_BZip2=OFF -DWITH_ENCHANT=OFF -DWITH_FAM=OFF -DWITH_GSSAPI=OFF -DWITH_HSPELL=OFF -DWITH_Jasper=OFF -DWITH_LibLZMA=OFF -DWITH_Libintl=OFF -DWITH_OpenEXR=OFF -DWITH_OpenGL=OFF -DWITH_OpenSSL=OFF -DWITH_Soprano=OFF -DKJS_FORCE_DISABLE_PCRE=true -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/lib" -DCMAKE_BUILD_TYPE=release -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT"
 include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
 
 #binary-predeb/libplasma3::
